Package org.eclipse.ui.actions

## Class BaseNewWizardMenu

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.ui.actions.CompoundContributionItem
    - - org.eclipse.ui.actions.BaseNewWizardMenu

All Implemented Interfaces:
  `IContributionItem`

Direct Known Subclasses:
  `NewWizardMenu`

    public class BaseNewWizardMenu
    extends CompoundContributionItem

A `BaseNewWizardMenu` is used to populate a menu manager with New Wizard actions for the current perspective's new wizard shortcuts, including an Other... action to open the new wizard dialog.

Note: Clients must dispose this menu when it is no longer required.

Since:
  3.1

### Constructor Summary

Constructors
`BaseNewWizardMenu​(IWorkbenchWindow window, String id)` Creates a new wizard shortcut menu for the IDE.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addItems​(List list)` Adds the items to show to the given list.
`protected boolean` `addShortcuts​(List list)` Adds the new wizard shortcuts for the current perspective to the given list.
`void` `dispose()` The default implementation of this `IContributionItem` method does nothing.
`protected IContributionItem[]` `getContributionItems()` Return a list of contributions items that will replace this item in the parent manager.
`protected IAction` `getShowDialogAction()` Returns the "Other..." action, used to show the new wizards dialog.
`protected IWorkbenchWindow` `getWindow()` Returns the window in which this menu appears.
`protected boolean` `registryHasCategory​(String categoryId)` Returns whether the new wizards registry has a non-empty category with the given identifier.

### Methods inherited from class org.eclipse.ui.actions.CompoundContributionItem

`fill, isDirty, isDynamic, setParent`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`fill, fill, fill, getId, getParent, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setVisible, toString, update, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaseNewWizardMenu

    public BaseNewWizardMenu​(IWorkbenchWindow window,
                             String id)

Creates a new wizard shortcut menu for the IDE.

Note: Clients must dispose this menu when it is no longer required.

Parameters:
  `window` - the window containing the menu
  `id` - the contribution item identifier, or `null`

### Method Detail

#### addItems

    protected void addItems​(List list)

Adds the items to show to the given list.

Parameters:
  `list` - the list to add items to

#### addShortcuts

    protected boolean addShortcuts​(List list)

Adds the new wizard shortcuts for the current perspective to the given list.

Parameters:
  `list` - the list to add items to
Returns:
  `true` if any items were added, `false` if none were added

#### dispose

    public void dispose()

Description copied from class: `ContributionItem`
The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

Specified by:
  `dispose` in interface `IContributionItem`
Overrides:
  `dispose` in class `CompoundContributionItem`

#### getContributionItems

    protected IContributionItem[] getContributionItems()

Description copied from class: `CompoundContributionItem`
Return a list of contributions items that will replace this item in the parent manager. The list must contain new contribution items every call since the old ones will be disposed.

Specified by:
  `getContributionItems` in class `CompoundContributionItem`
Returns:
  an array list of items to display. Must not be `null`.

#### getShowDialogAction

    protected IAction getShowDialogAction()

Returns the "Other..." action, used to show the new wizards dialog.

Returns:
  the action used to show the new wizards dialog

#### getWindow

    protected IWorkbenchWindow getWindow()

Returns the window in which this menu appears.

Returns:
  the window in which this menu appears

#### registryHasCategory

    protected boolean registryHasCategory​(String categoryId)

Returns whether the new wizards registry has a non-empty category with the given identifier.

Parameters:
  `categoryId` - the identifier for the category
Returns:
  `true` if there is a non-empty category with the given identifier, `false` otherwise